Bug 1568066 - Can't run upscmd because of tcpwrapper
Summary: Can't run upscmd because of tcpwrapper
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nut
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michal Hlavinka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-16 17:15 UTC by Xavier Bachelot
Modified: 2019-04-06 19:21 UTC (History)
1 user (show)

Fixed In Version: nut-2.7.4-23.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 23:07:20 UTC


Attachments (Terms of Use)

Description Xavier Bachelot 2018-04-16 17:15:30 UTC
Description of problem:
upscmd can't be run because nut is built with tcpwrapper support but can't read /etc/hosts.deny

Version-Release number of selected component (if applicable):
nut-2.7.4-13.fc27.x86_64

How reproducible:
Always

Steps to Reproduce:
[root@xxx ~]# ls -l /etc/hosts.deny
-rw-------. 1 root root 848 Jan 30  2015 /etc/hosts.deny
[root@xxx ~]# upscmd -u admin mge beeper.disable
Password: 
Unexpected response from upsd: ERR ACCESS-DENIED
[root@xxx ~]# chmod 666 /etc/hosts.deny
[root@xxx ~]# upscmd -u admin mge beeper.disable
Password: 
OK
[root@xxx ~]# chmod 600 /etc/hosts.deny


journalctl shows this :
Apr 16 19:11:16 xxx upsd[1854]: warning: cannot open /etc/hosts.deny: Permission denied

Additional info:
As tcp wrapper is on the way out, I'd suggest explicitly disabling tcpwrapper support, as tcpwrapper-devel is pulled by some other build dependency.

Comment 1 Xavier Bachelot 2018-04-17 10:40:44 UTC
Please take a look at https://src.fedoraproject.org/rpms/nut/pull-request/2 for a fix and also some miscellaneous cleanups.

Comment 2 Michal Hlavinka 2018-04-17 13:46:26 UTC
Merged, thanks.
Just one small thing, please add a reasoning for changes that are not obvious, like why you've added cppunit-devel BR.

Comment 3 Xavier Bachelot 2018-04-17 14:57:59 UTC
I've added the BR on cppunit-devel because it was marked as missing by configure and an unit test framework is mentionned in the changelog. However, it doesn't seem like any unit test is actually run during the build. it would need to be looked at more closely. I probably shouldn't have added the cppunit part in the PR, so feel free to revert if you wish.

Comment 4 Xavier Bachelot 2018-10-03 13:54:09 UTC
This is still not fixed in neither f27 nor F28.
Could you please build these branches ?

Comment 5 Fedora Update System 2018-10-03 15:20:53 UTC
nut-2.7.4-19.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-48fee97421

Comment 6 Fedora Update System 2018-10-03 15:20:59 UTC
nut-2.7.4-19.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-9728498260

Comment 7 Fedora Update System 2018-10-04 19:43:32 UTC
nut-2.7.4-19.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-48fee97421

Comment 8 Fedora Update System 2018-10-04 21:10:54 UTC
nut-2.7.4-19.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-9728498260

Comment 9 Ben Cotton 2018-11-27 14:09:06 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 10 Ben Cotton 2018-11-30 23:07:20 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 11 Fedora Update System 2019-03-27 04:11:47 UTC
nut-2.7.4-23.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-e6bdcc9a22

Comment 12 Fedora Update System 2019-04-06 19:21:36 UTC
nut-2.7.4-23.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.